package com.goldenwater.slaj.eme.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eme.mapper.BusiReviewInfoMapper;
import com.goldenwater.slaj.eme.domain.BusiReviewInfo;
import com.goldenwater.slaj.eme.service.IBusiReviewInfoService;

/**
 * 应急预案评审信息 服务层实现
 */
@Service
public class BusiReviewInfoServiceImpl implements IBusiReviewInfoService {

    @Autowired
    private BusiReviewInfoMapper busiReviewInfoMapper;

    @Override
    public BusiReviewInfo selectBusiReviewInfoByGuid(String guid) {
        return busiReviewInfoMapper.selectBusiReviewInfoByGuid(guid);
    }

    @Override
    public List<BusiReviewInfo> selectBusiReviewInfoList(BusiReviewInfo busiReviewInfo) {
        return busiReviewInfoMapper.selectBusiReviewInfoList(busiReviewInfo);
    }

    @Override
    public int insertBusiReviewInfo(BusiReviewInfo busiReviewInfo) {
        return busiReviewInfoMapper.insertBusiReviewInfo(busiReviewInfo);
    }

    @Override
    public int updateBusiReviewInfo(BusiReviewInfo busiReviewInfo) {
        return busiReviewInfoMapper.updateBusiReviewInfo(busiReviewInfo);
    }

    @Override
    public int deleteBusiReviewInfoByGuid(String guid) {
        return busiReviewInfoMapper.deleteBusiReviewInfoByGuid(guid);
    }

    @Override
    public int deleteBusiReviewInfoByGuids(String[] guids) {
        return busiReviewInfoMapper.deleteBusiReviewInfoByGuids(guids);
    }
}
